| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.OrNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.OrNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.OrNode:
[legend]

## Public Member Functions
def | __init__ (self, lhs, rhs)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| lhs
| rhs

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    Or operation between control flow nodes.

Definition at line 112 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.OrNode.__init__ | ( |  | self,
|  |  | lhs,
|  |  | rhs
| ) |  |

Definition at line 116 of file ControlFlow.py.

116 def __init__(self, lhs, rhs):
117 self.lhs = lhs
118 self.rhs = rhs
119
GaudiConfig.ControlFlow.OrNode.lhs
lhs
Definition: ControlFlow.py:117
GaudiConfig.ControlFlow.OrNode.__init__
def __init__(self, lhs, rhs)
Definition: ControlFlow.py:116
GaudiConfig.ControlFlow.OrNode.rhs
rhs
Definition: ControlFlow.py:118

## Member Function Documentation

def GaudiConfig.ControlFlow.OrNode.__repr__ | ( |  | self | ) |

Definition at line 120 of file ControlFlow.py.

120 def __repr__(self):
121 return "(%r | %r)" % (self.lhs, self.rhs)
122
GaudiConfig.ControlFlow.OrNode.lhs
lhs
Definition: ControlFlow.py:117
GaudiConfig.ControlFlow.OrNode.__repr__
def __repr__(self)
Definition: ControlFlow.py:120
GaudiConfig.ControlFlow.OrNode.rhs
rhs
Definition: ControlFlow.py:118

def GaudiConfig.ControlFlow.OrNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 123 of file ControlFlow.py.

123 def _visitSubNodes(self, visitor):
124 self.lhs.visitNode(visitor)
125 self.rhs.visitNode(visitor)
126
127
GaudiConfig.ControlFlow.OrNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:123

## Member Data Documentation

GaudiConfig.ControlFlow.OrNode.lhs

Definition at line 117 of file ControlFlow.py.

GaudiConfig.ControlFlow.OrNode.rhs

Definition at line 118 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py